@echo off

REM ##### javaコマンドが使えるかどうか #####
java 1> nul 2> nul
if errorlevel 2 (
	goto no_java
) else (
	goto java
)

REM ##### JAVA_HOMEが設定されているかどうか #####
:no_java
if "%JAVA_HOME%" == "" (
	goto error
) else (
	goto java_home
)

REM ##### JAVA_HOME/binにpathを通す #####
:java_home
set _PATH=%PATH%
set PATH=%PATH%;%JAVA_HOME%\bin

REM ##### javaにpathが通っているかチェック #####
:java
call java -version 2>>&1 | findstr "Java.*Runtime" 1> nul 2> nul
if errorlevel 1 (
	goto error
) else (
	goto no_error
)

REM ##### javaが使える #####
:no_error
exit /b 0

REM ##### javaが使えない #####
:error
exit /b 1
